package com.malk.boyang.service;

import com.malk.server.common.McR;

import java.util.Map;

public interface BoyangService {
    //发起e签宝签署
    McR eSignSubmit(Map map);

    //e签宝签署完成回写签署文件
    void signed(String processInstanceId,String signFlowId);

    McR getOrganization(String name);

    void start(String processInstanceId,String signFlowId);

    //根据审批编号重试发起e签宝签署
    McR retrySign(String businessId);
}
